Skip to content

Replace the breached credential protection configuration

Request

OAuth 2.0 scope:
  • okta.breachedCredentialProtection.manage

Replaces the breached credential protection configuration for your org

Bodyapplication/jsonrequired
detectionMethodstring(BreachedCredentialDetectionMethod)required

The breach detection method used for breached credential protection

Enum ValueDescription
STANDARD

Detects breached credentials using a limited data feed of credentials leaked in third-party breaches. Provides baseline coverage with a lower volume of detections.

ENHANCED

Detects breached credentials using a larger data feed for broader coverage across a wider range of breaches. Provides stronger protection with a higher volume of detections.

PUT
/api/v1/breached-credential-protection/configuration
curl -i -X PUT \
  https://subdomain.okta.com/api/v1/breached-credential-protection/configuration \
  -H 'Content-Type: application/json' \
  -d '{
    "detectionMethod": "STANDARD"
  }'

Responses

OK

Bodyapplication/json
detectionMethodstring(BreachedCredentialDetectionMethod)required

The breach detection method used for breached credential protection

Enum ValueDescription
STANDARD

Detects breached credentials using a limited data feed of credentials leaked in third-party breaches. Provides baseline coverage with a lower volume of detections.

ENHANCED

Detects breached credentials using a larger data feed for broader coverage across a wider range of breaches. Provides stronger protection with a higher volume of detections.

Response
{ "detectionMethod": "STANDARD", "_links": { "self": {} } }